JMRI 4.2.x problems with Digitrax Sound Decoder Projects

We've had recent reports of the latest JMRI 4.2.x having problems IPLing (updating) various Digitrax products and downloading sound decoder projects. We recommend using prior known stable versions of JMRI to avoid problems.

If you are having issues using JMRI and Digitrax products, please visit our Help Desk and open a support ticket to communicate the issues you are seeing.